--- old/usr/src/uts/common/sys/time.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/time.h	Sat Aug  2 23:27:27 2014
@@ -9,6 +9,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -372,27 +374,17 @@
 #endif /* _KERNEL */
 
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-#if defined(__STDC__)
 int adjtime(struct timeval *, struct timeval *);
-#else
-int adjtime();
-#endif
 #endif /* !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) ... */
 
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || \
 	defined(_ATFILE_SOURCE) || defined(__EXTENSIONS__)
-#if defined(__STDC__)
 int futimesat(int, const char *, const struct timeval *);
-#else
-int futimesat();
-#endif /* defined(__STDC__) */
 #endif /* defined(__ATFILE_SOURCE) */
 
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
 	defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
-
 int getitimer(int, struct itimerval *);
 int utimes(const char *, const struct timeval *);
 #if defined(_XPG4_2)
@@ -403,12 +395,6 @@
 	struct itimerval *_RESTRICT_KYWD);
 #endif /* defined(_XPG2_2) */
 
-#else /* __STDC__ */
-
-int gettimer();
-int settimer();
-int utimes();
-#endif /* __STDC__ */
 #endif /* !defined(_KERNEL) ... defined(_XPG4_2) */
 
 /*
@@ -427,7 +413,6 @@
  */
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
 #if defined(_SVID_GETTOD)
 int settimeofday(struct timeval *);
 #else
@@ -435,11 +420,6 @@
 #endif
 hrtime_t	gethrtime(void);
 hrtime_t	gethrvtime(void);
-#else /* __STDC__ */
-int settimeofday();
-hrtime_t	gethrtime();
-hrtime_t	gethrvtime();
-#endif /* __STDC__ */
 
 #endif /* !(defined _KERNEL) && !defined(__XOPEN_OR_POSIX) ... */
 
@@ -446,15 +426,11 @@
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
 	defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
 #if defined(_SVID_GETTOD)
 int gettimeofday(struct timeval *);
 #else
 int gettimeofday(struct timeval *_RESTRICT_KYWD, void *_RESTRICT_KYWD);
 #endif
-#else /* __STDC__ */
-int gettimeofday();
-#endif /* __STDC__ */
 
 #endif /* !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) ... */
 
